nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   :( X doesn't start with driver 5328 (http://www.nvnews.net/vbulletin/showthread.php?t=23625)

fatchoumakou 01-15-04 06:08 PM

:( X doesn't start with driver 5328
 
1 Attachment(s)
Hello,
I installed version 5328 of nvidia drivers and updated my XF86Config-4 file.
Infortunately, it doesn't work, X server crashes on startup. My configuration is:
GeForce FX5200
cpu AMD ATHLON XP 2600
motherboard ASUS A7V8X-X
I use mandrake linux 9.2 with 2.4.19-16mdk kernel.

Look at the attach file it contains output of the command "startx -- -verbose 5 -logverbose 5" +
XF86Config-4 + XFree86.0.log

Any suggestions ?

Thank you in advance

fatchoumakou 01-16-04 06:52 AM

have you got any Idea ?
Maybe, things to add to config file ??

Moled 01-16-04 04:10 PM

check dmesg for a kernel panic

blueworm 01-16-04 04:44 PM

I have a sneaky suspicion that mandrake has agpgart compiled into kernel.
Try adding.... to your Device section in XF86Config-4
Code:

Option "NvAGP" "2"

fatchoumakou 01-16-04 05:14 PM

Thank you blueworm, that was the good option to add, it works perfectly :-)

fatchoumakou 01-17-04 02:32 PM

It seems there is another problem with agppart module. When i switch to a terminal
without X by pressing ctrl-alt-f1, the screen blinks white and black and i can't
see anything. It's the same thing when i shutdown my pc with services screen.

Here is a part of the output of the dmesg command :

0: nvidia: loading NVIDIA Linux x86 nvidia.o Kernel Module 1.0-5328 Wed Dec 17 13:54:51 PST 2003
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 439M
agpgart: Detected Via Apollo Pro KT400 chipset
agpgart: unable to determine aperture size.
0: NVRM: AGPGART: unable to retrieve symbol table

in log file I've got :

(WW) NVIDIA(0): Failed to verify AGP usage

Can you see where is the problem from ?

darkhelmet03 01-17-04 04:15 PM

I would say
 
install a newer kernel, either 2.4.24 or 2.6.1, AGPGART is vastly improved there

VIA chipsets are known to be problematic and newer kernel versions i
I recollect had many VIA specific fixes. 2.4.19 is relatively old and KT400 is new...

if u don't wantto mess with ur kernel try enabling only NvAGP and disable AGPGART

fatchoumakou 01-18-04 08:20 AM

Are there other solutions than upgrading my kernel ?
Because if i change my kernel, i think many other problems will
appear ...
How do i enable NvAGP and disable AGPGART ?

blueworm 01-18-04 08:26 AM

Unfortunately if AGPGART is compilled into the kernel NvAGP cannot be enabled.
You would have to re-compile your kernel and remove AGPGART support as mentioned earlier.
Linux is the kernel, the sooner you learn to be comfortable re-compilling the kernel the better...

melikamp 01-21-04 10:42 PM

I had this problem when I tried to update my 2.4.22 slackware kernel with 5328 driver. No matter how I configured my kernel, I always had

(WW) NVIDIA(0): Failed to verify AGP usage

in the logs, and whilst the X mostly worked, I had to startx twice (1st one always crashed), and the 3D acceleration lagged like hell. I tried building the driver against 2.6.1 kernel, but configuration failed.

I solved it by stepping back to 4496 and 2.4.22 kernel, which works fine for now. X started and UT and Quake are running fine :P

Mel


All times are GMT -5. The time now is 07:36 PM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.